#include<iostream>
#include<cstring>
using namespace std;
int main(){
long long A, B, u_count=0, d_count=0, razl_h_d=0, razl_h_u=0, razl_d_l=0, razl_d_r=0, r_count=0, l_count=0;
char posoki[100000];
cin.getline(posoki, 100000);
for(int i=0; i<strlen(posoki); i++){
    if(posoki[i]=='U'){
        u_count++;
    }
    if(posoki[i]=='D'){
        d_count++;
    }
    if(posoki[i]=='R'){
        r_count++;
    }
    if(posoki[i]=='L'){
        l_count++;
    }
}
if(u_count==d_count && l_count==r_count){
    cout<<0;
}
while(u_count!=d_count || l_count!=r_count){
    if(u_count>d_count){
        razl_h_d++;
        d_count++;
    }
    if(u_count<d_count){
        razl_h_u++;
        u_count++;
    }
    if(l_count>r_count){
        razl_d_r++;
        r_count++;
    }
    if(l_count<r_count){
        razl_d_l++;
        l_count++;
    }
}
for(int y=0; y<razl_h_u; y++){
    cout<<"U";
}
for(int y=0; y<razl_h_d; y++){
    cout<<"D";
}
for(int y=0; y<razl_d_l; y++){
    cout<<"L";
}
for(int y=0; y<razl_d_r; y++){
    cout<<"R";
}
cout<<endl;

return 0;
}

